## Some defaults I want for all my systems

{ config, pkgs, ... }:
{
  environment.systemPackages = with pkgs; [
    nix-index screen
    vim tmux
    vimPlugins.vim-markdown-toc
    python313Packages.markitdown 
    wget curl
    htop atop iotop iftop
    file bc
    babashka rlwrap
  ];

  boot.loader.grub.configurationLimit = 5;
  boot.loader.systemd-boot.configurationLimit = 5;
  #boot.loader.grub.copyKernels = false;

  time.timeZone = "Europe/Berlin";
  i18n.defaultLocale = "de_DE.UTF-8";
  #i18n.defaultLocale = "en_US.UTF-8";
  i18n.extraLocaleSettings = 
  {
    LC_MESSAGES = "en_US.UTF-8";
    LC_TIME = "de_DE.UTF-8";
    LANGUAGE = "de";
    LC_MONETARY = "de_DE.UTF-8";
    LC_MEASUREMENT = "de_DE.UTF-8";
    LC_NUMERIC = "de_DE.UTF-8";
    LANG = "en_US.UTF-8";
  };

  environment.variables = { EDITOR = "vim"; };
}
