{ config, pkgs, ... }:

{
  console.useXkbConfig = true;
  
  # Configure keymap in X11
  services.xserver.xkb.layout = "de";

  # Configure console keymap
  # console.keyMap = "de";

  # libinput.enable = true;
    
  # Desktop Environment KDE
  services.displayManager.sddm.enable = true;
  services.desktopManager.plasma6.enable = true; 

  # Enable the X11 windowing system.
  services.xserver.enable = true;

  # Enable Wayland
  services.displayManager.sddm.wayland.enable = false; 
  # programs.xwayland.enable = true;

  programs.dconf.enable = true;
   
  # Enable touchpad support (enabled default in most desktopManager).
  # services.xserver.libinput.enable = true;

  # Enable CUPS to print documents.
  services.printing = {
    enable = true;
    drivers = with pkgs; [ gutenprint splix hplip ];
  };

  hardware.sane = {
    enable = true;
  #  extraBackends = with pkgs; [ hplipWithPlugin ];
  };

  # c3d2.addKnownHosts = true; # audio for c3d2
  # c3d2.audioStreaming = true;
  security.rtkit.enable = true;
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
    # If you want to use JACK applications, uncomment this
    jack.enable = true;
  };

  hardware.bluetooth.enable = true;
  # services.blueman.enable = true;

}
