{ config, pkgs, nixpkgs, ... }:

{
  boot.tmp.cleanOnBoot = true;
  
  nix.package = pkgs.nixVersions.latest;
  
  # nix.extraOptions = "experimental-features = nix-command flakes ca-derivations";
  nix.extraOptions = "experimental-features = nix-command flakes";
  
  #nix.daemonIONiceLevel = 7;
  #nix.daemonNiceLevel = 19;

  nix = { 
    settings = {
       experimental-features = [ "nix-command" "flakes" ]; 
       auto-optimise-store = true;
    };
  };

  nix.gc = {
    automatic = true;
    dates = "weekly";
  };
}
