{ config, pkgs, ... }:
{

  programs.adb.enable = true;
  services.udev.packages = [
    pkgs.android-udev-rules
  ];
  
  # Define a user account. Don't forget to set a password with ‘passwd’.
  users.users.aaron = {
    isNormalUser = true;
     extraGroups = [ "wheel" "adbusers"]; # Enable ‘sudo’ for the user.
    

     packages = with pkgs; [
        firefox
        tree
        element-desktop
        gajim
	keepassxc
	git
	nextcloud-client
	# nextcloud27
        gnome-keyring
        oh-my-git
        tor
        tor-browser-bundle-bin
        inkscape
        freetube
        masterpdfeditor4
        webtorrent_desktop
        borgbackup
	kdePackages.kcalc
	fzf
	imagemagick
	gcc
	ungoogled-chromium
	kopia
	smplayer
	libsForQt5.kate
	usbutils
	appflowy
	libsForQt5.krfb
	libsForQt5.xdg-desktop-portal-kde
	vscodium
	python311Packages.wled
	python311Packages.pip
	authenticator
	ollama
	gpt4all
	syncthing
     ];
   };

  programs.bash.shellAliases = {
  yay = "sudo nixos-rebuild switch";
  };

  home-manager.users.aaron = { pkgs, config, ... }: {
      home.stateVersion = "21.11";
      imports = [
        ./home-manager/base.nix
        ./home-manager/office.nix
        ./home-manager/multimedia.nix
        ./home-manager/nextcloud.nix
        ./home-manager/admin.nix
        ./home-manager/dev/base.nix
        # ./home-manager/dev/nvim-coc.nix
        ./home-manager/dev/git.nix
        # ./home-manager/dev/embedded.nix
        # ./home-manager/dev/web.nix
        # ./home-manager/dev/mobile.nix
        # ./home-manager/dev/clojure.nix
        # ./home-manager/dev/rust.nix
      ];
    };

  programs.extra-container.enable = true;

  # services.pcscd.enable = true;
}
